Subject: bug#17598: Emacs pretest 24.3.91 - AIX - SIGSEV when customize

From: Gilles PION <[email-masked]>
Date: Thu, 12 Jun 2014 10:45:24 +0200

> 
> I remember fixing this in the trunk.  I can reproduce the bug (since it 
> doesn't require X), and backporting the trunk patch fixed it for me.  I 
> installed this as emacs-24 bzr 117234. You can get the resulting tarball 

> here:
> 
> http://cs.ucla.edu/~eggert/emacs-24.3.91.tar.gz
> 
> Please give it a try.  Eventually it should appear on Hydra, too, but 
> Hydra ran out of disk space so that'll have to wait until someone cleans 

> it out.

Same error at runtime.

I would not be much surprised if it was rather the GCC compiler being the 
source of this error 

I've also tried compiling this tarball on an AIX 6.1 host, using with the 
same configure options and gcc binary: 
the emacs executable produced with setup runs fine on 6.1 and 7.1 hosts.
--
Gilles

                                                                   

. Si vous n'êtes pas destinataires de ce message, merci d'avertir
l'expéditeur de l'erreur de distribution et de le détruire
immédiatement.
Ce message contient des informations confidentielles ou appartenant
a La Française des Jeux. Il est établi a l'intention exclusive de
ses destinataires. Toute divulgation, utilisation, diffusion ou
reproduction (totale ou partielle) de ce message ou des
informations qu'il contient, doit être préalablement autorisée.
Tout message électronique est susceptible d'altération et son
intégrité ne peut etre assurée. La Française des Jeux décline toute
responsabilité au titre de ce message s'il a été modifie ou
falsifie.